# PayPal Show agreement details

Shows details for a billing agreement, by the ID that was created in [PayPal Initiate billing agreement](/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-initiate-billing-agreement.md).

## Required fields

* billingAgreementID - billing agreement ID in params&#x20;
* ppcUid - PayPal Payment Provider Contract UUID in query

## Optional fields

There are no optional fields.

Here is an example of a GET request that can be used for getting billing agreement details.

```bash
curl -v -X GET '<SERVER URL>/billingAgreement/<Agreement Id>?ppcUid=<PPC Id>' \
-H 'Authorization: Bearer <Access Token>'
```

### Response code example

```json
{
    "id": "B-1WW844612B6208426",
    "state": "INACTIVE",
    "description": "Stored PayPal account with The Partner merchant",
    "merchant": {
        "payeeInfo": {
            "email": "buyer@business.example.com"
        }
    },
    "payer": {
        "payerInfo": {
            "email": "payer@business.example.com",
            "firstName": "John",
            "lastName": "Doe",
            "payerId": "VJRXDDV4UWZ2W"
        }
    },
    "plan": {
        "merchantPreferences": {}
    },
    "createTime": "2021-03-03T11:56:27.000Z",
    "updateTime": "2021-03-03T11:56:27.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-show-agreement-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
